package cn.com.countrygarden.bi.main.dto.investment;

import java.math.BigDecimal;

/**
 * 个人项目收益自定义类
 * 
 * @author 木木子
 *
 */
public class InvestProjectProfitVo {
	
	private String nameFlag;
	private String regionFlag;
	private int flag;

	/**
	 * 个人-资金池（区域跟投)总计
	 */
	private BigDecimal regionFollowCapitalTotal;

	/**
	 * 个人-单独资金账户（区域跟投）总计
	 */
	private BigDecimal regionFollowCapitalAccountTotal;
	/**
	 * 个人-资金池（本金返还）总计
	 */
	private BigDecimal principalReturnCapitalTotal;

	/**
	 * 个人-单独资金账户（本金返还）总计
	 * 
	 * @return
	 */
	private BigDecimal principalReturnCapitalAccountTotal;

	/**
	 * 个人-利润分配-资金池总计
	 * 
	 * @return
	 */
	private BigDecimal profitDistributionCapitalTotal;
	/**
	 * 个人-利润分配-单独资金账户总计
	 * 
	 * @return
	 */

	private BigDecimal profitDistributionCapitalAccountTotal;
	/**
	 * 个人-已发放个人利润（累计数）-资金池总计
	 */
	private BigDecimal issuedCapitalTotal;

	/**
	 * 个人-已发放个人利润（累计数）-单独资金账户总计
	 * 
	 * @return
	 */
	private BigDecimal issuedCapitalAccountTotal;
	/**
	 * 个人-阶段性现金返还-资金池总计
	 * 
	 * @return
	 */
	private BigDecimal cashReturnCapitalTotal;

	/**
	 * 个人-阶段性现金返还-单独资金账户总计
	 * 
	 * @return
	 */

	private BigDecimal cashReturnCapitalAccountTotal;

	/**
	 * 个人-资金池（房产发放）总计
	 */
	private BigDecimal propertyDistributionCapitalTotal;
	/**
	 * 单独资金账户（房产发放）总计
	 */
	private BigDecimal propertyDistributionCapitalAccountTotal;
	/**
	 * 资金池（个人未发放）总计
	 */
	private BigDecimal unissuedCapitalTotal;

	/**
	 * 单独资金账户（个人未发放）总计
	 * 
	 * @return
	 */

	private BigDecimal unissuedCapitalAccountTotal;
	/**
	 * 个人-资金池（本金未收回）合计
	 * 
	 */
	private BigDecimal principalNotrecoveredCapitalTotal;

	
	
	public String getNameFlag() {
		return nameFlag;
	}

	public void setNameFlag(String nameFlag) {
		this.nameFlag = nameFlag;
	}

	public String getRegionFlag() {
		return regionFlag;
	}

	public void setRegionFlag(String regionFlag) {
		this.regionFlag = regionFlag;
	}

	public int getFlag() {
		return flag;
	}

	public void setFlag(int flag) {
		this.flag = flag;
	}

	public BigDecimal getUnissuedCapitalAccountTotal() {
		if(unissuedCapitalAccountTotal==null) {
			return unissuedCapitalAccountTotal=new BigDecimal(0);
		}
		return unissuedCapitalAccountTotal;
	}

	public void setUnissuedCapitalAccountTotal(BigDecimal unissuedCapitalAccountTotal) {
		this.unissuedCapitalAccountTotal = unissuedCapitalAccountTotal;
	}

	public void setUnissuedCapitalTotal(BigDecimal unissuedCapitalTotal) {
		this.unissuedCapitalTotal = unissuedCapitalTotal;
	}

	/**
	 * 个人-单独资金账户（本金未收回）合计
	 * 
	 */

	private BigDecimal principalNotrecoveredCapitalAccountTotal;

	public BigDecimal getRegionFollowCapitalTotal() {
		if (regionFollowCapitalTotal == null) {
			return regionFollowCapitalTotal = new BigDecimal(0);
		}

		return regionFollowCapitalTotal;
	}

	public void setRegionFollowCapitalTotal(BigDecimal regionFollowCapitalTotal) {
		this.regionFollowCapitalTotal = regionFollowCapitalTotal;
	}

	public BigDecimal getRegionFollowCapitalAccountTotal() {
		if (regionFollowCapitalAccountTotal == null) {
			return regionFollowCapitalAccountTotal = new BigDecimal(0);
		}
		return regionFollowCapitalAccountTotal;
	}

	public void setRegionFollowCapitalAccountTotal(BigDecimal regionFollowCapitalAccountTotal) {
		this.regionFollowCapitalAccountTotal = regionFollowCapitalAccountTotal;
	}

	public BigDecimal getPrincipalReturnCapitalTotal() {
		if(principalReturnCapitalTotal==null) {
			return principalReturnCapitalTotal=new BigDecimal(0);
		}
		return principalReturnCapitalTotal;
	}

	public void setPrincipalReturnCapitalTotal(BigDecimal principalReturnCapitalTotal) {
		this.principalReturnCapitalTotal = principalReturnCapitalTotal;
	}

	public BigDecimal getPrincipalReturnCapitalAccountTotal() {
		if(principalReturnCapitalAccountTotal==null) {
			return principalReturnCapitalAccountTotal=new BigDecimal(0);
		}
		return principalReturnCapitalAccountTotal;
	}

	public void setPrincipalReturnCapitalAccountTotal(BigDecimal principalReturnCapitalAccountTotal) {
		this.principalReturnCapitalAccountTotal = principalReturnCapitalAccountTotal;
	}

	public BigDecimal getProfitDistributionCapitalTotal() {
		if(profitDistributionCapitalTotal==null) {
			return profitDistributionCapitalTotal=new BigDecimal(0);
		}
		return profitDistributionCapitalTotal;
	}

	public void setProfitDistributionCapitalTotal(BigDecimal profitDistributionCapitalTotal) {
		this.profitDistributionCapitalTotal = profitDistributionCapitalTotal;
	}

	public BigDecimal getProfitDistributionCapitalAccountTotal() {
		if(profitDistributionCapitalAccountTotal==null) {
			return profitDistributionCapitalAccountTotal=new BigDecimal(0);
		}
		return profitDistributionCapitalAccountTotal;
	}

	public void setProfitDistributionCapitalAccountTotal(BigDecimal profitDistributionCapitalAccountTotal) {
		this.profitDistributionCapitalAccountTotal = profitDistributionCapitalAccountTotal;
	}

	public BigDecimal getIssuedCapitalTotal() {
		if(issuedCapitalTotal==null) {
			return issuedCapitalTotal=new BigDecimal(0);
		}
		return issuedCapitalTotal;
	}

	public void setIssuedCapitalTotal(BigDecimal issuedCapitalTotal) {
		this.issuedCapitalTotal = issuedCapitalTotal;
	}

	public BigDecimal getIssuedCapitalAccountTotal() {
		if(issuedCapitalAccountTotal==null) {
			issuedCapitalAccountTotal=new BigDecimal(0);
		}
		return issuedCapitalAccountTotal;
	}

	public void setIssuedCapitalAccountTotal(BigDecimal issuedCapitalAccountTotal) {
		this.issuedCapitalAccountTotal = issuedCapitalAccountTotal;
	}

	public BigDecimal getCashReturnCapitalTotal() {
		if(cashReturnCapitalTotal==null) {
			return cashReturnCapitalTotal=new BigDecimal(0);
		}
		return cashReturnCapitalTotal;
	}

	public void setCashReturnCapitalTotal(BigDecimal cashReturnCapitalTotal) {
		this.cashReturnCapitalTotal = cashReturnCapitalTotal;
	}

	public BigDecimal getCashReturnCapitalAccountTotal() {
		if(cashReturnCapitalAccountTotal==null) {
			return cashReturnCapitalAccountTotal=new BigDecimal(0);
		}
		return cashReturnCapitalAccountTotal;
	}

	public void setCashReturnCapitalAccountTotal(BigDecimal cashReturnCapitalAccountTotal) {
		this.cashReturnCapitalAccountTotal = cashReturnCapitalAccountTotal;
	}

	public BigDecimal getPropertyDistributionCapitalTotal() {
		if(propertyDistributionCapitalTotal==null) {
			return propertyDistributionCapitalTotal=new BigDecimal(0);
		}
		return propertyDistributionCapitalTotal;
	}

	public void setPropertyDistributionCapitalTotal(BigDecimal propertyDistributionCapitalTotal) {
		this.propertyDistributionCapitalTotal = propertyDistributionCapitalTotal;
	}

	public BigDecimal getPropertyDistributionCapitalAccountTotal() {
		if(propertyDistributionCapitalAccountTotal==null) {
			return propertyDistributionCapitalAccountTotal=new BigDecimal(0);
		}
		return propertyDistributionCapitalAccountTotal;
	}

	public void setPropertyDistributionCapitalAccountTotal(BigDecimal propertyDistributionCapitalAccountTotal) {
		this.propertyDistributionCapitalAccountTotal = propertyDistributionCapitalAccountTotal;
	}

	public BigDecimal getPrincipalNotrecoveredCapitalTotal() {
		if(principalNotrecoveredCapitalTotal==null) {
			return principalNotrecoveredCapitalTotal=new BigDecimal(0);
		}
		return principalNotrecoveredCapitalTotal;
	}

	public void setPrincipalNotrecoveredCapitalTotal(BigDecimal principalNotrecoveredCapitalTotal) {
		this.principalNotrecoveredCapitalTotal = principalNotrecoveredCapitalTotal;
	}

	public BigDecimal getPrincipalNotrecoveredCapitalAccountTotal() {
		if(principalNotrecoveredCapitalAccountTotal==null) {
			return principalNotrecoveredCapitalAccountTotal=new BigDecimal(0);
		}
		return principalNotrecoveredCapitalAccountTotal;
	}

	public void setPrincipalNotrecoveredCapitalAccountTotal(BigDecimal principalNotrecoveredCapitalAccountTotal) {
		this.principalNotrecoveredCapitalAccountTotal = principalNotrecoveredCapitalAccountTotal;
	}

	public BigDecimal getUnissuedCapitalTotal() {
		if(unissuedCapitalTotal==null) {
			return unissuedCapitalTotal=new BigDecimal(0);
		}
		return unissuedCapitalTotal;
	}

}
